Translate API v2, REST: Translation.ListLanguages

Retrieves the list of supported languages.

HTTP request

POST https://translate.api.cloud.yandex.net/translate/v2/languages
        

Body parameters

{
          "folderId": "string"
        }
        

Field

Description

folderId

string

ID of the folder to which you have access.
Required for authorization with a user account.
Do not specify this field if you make the request on behalf of a service account.

Response

HTTP Code: 200 - OK

{
          "languages": [
            {
              "code": "string",
              "name": "string"
            }
          ]
        }
        

Field

Description

languages[]

Language

List of supported languages.

Language

Field

Description

code

string

The language code.
Most languages are specified in ISO 639-1 format (for example, ru), but the field are not limited to it.

name

string

The name of the language (for example, English).